﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.ComponentModel;

namespace ComboBoxWPF
{
    public class ViewModel : ViewModelBase
    {
        private string selectedItem;

        public ObservableCollection<string> Items { get; set; }

        /// <summary>
        /// Gets or sets selectedItem and notifies for changes
        /// </summary>
        public string SelectedItem
        {
            get
            {
                return this.selectedItem;
            }

            set
            {
                if (this.selectedItem != value)
                {
                    if (value != null)
                    {
                        this.selectedItem = value;
                        
                    }
                    else
                    {
                        this.SelectedItem = this.Items[0];
                    }

                    this.OnPropertyChanged(() => this.SelectedItem);
                }
            }
        }

        public ViewModel()
        {
            this.Items = new ObservableCollection<string>
            {
                "Value1",
                "Value2",
                "Value3",
                "Value4",
                "Value5",
            };
            this.SelectedItem = this.Items[0];
        }
    }
}